Open CASCADE Technology: PNaming_FieldOfHArray1OfNamedShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PNaming_FieldOfHArray1OfNamedShape Class Reference

`#include <PNaming_FieldOfHArray1OfNamedShape.hxx>`

Inheritance diagram for PNaming_FieldOfHArray1OfNamedShape:
[legend]

## Public Member Functions
| PNaming_FieldOfHArray1OfNamedShape ()
| PNaming_FieldOfHArray1OfNamedShape (const Standard_Integer Size)
| PNaming_FieldOfHArray1OfNamedShape (const PNaming_FieldOfHArray1OfNamedShape &Varray)
void | Resize (const Standard_Integer Size)
void | Assign (const PNaming_FieldOfHArray1OfNamedShape &Other)
void | operator= (const PNaming_FieldOfHArray1OfNamedShape &Other)
void | SetValue (const Standard_Integer Index, const Handle< PNaming_NamedShape > &Value)
Handle< PNaming_NamedShape > & | Value (const Standard_Integer Index) const
Handle< PNaming_NamedShape > & | operator() (const Standard_Integer Index) const
void | Destroy ()
| ~PNaming_FieldOfHArray1OfNamedShape ()
Public Member Functions inherited from DBC_BaseArray
| DBC_BaseArray ()
| Creates an BaseArray of NULL size. More...
| DBC_BaseArray (const Standard_Integer Size)
| Creates an BaseArray of lower bound 0 and upper bound <Size>-1. More...
| DBC_BaseArray (const DBC_BaseArray &BaseArray)
| Creates an array which is the copy of the given argument. More...
virtual | ~DBC_BaseArray ()
Standard_Integer | Length () const
Standard_Integer | Upper () const
| Returns the upper bound. More...
Standard_Address | Lock () const
| Locks the array <me> in memory and returns its virtual address. More...
void | Unlock () const
| unlocks the array <me> from memory More...
Standard_Integer | _CSFDB_GetDBC_BaseArraymySize () const
void | _CSFDB_SetDBC_BaseArraymySize (const Standard_Integer p)
DBC_DBVArray | _CSFDB_GetDBC_BaseArraymyData () const
void | _CSFDB_SetDBC_BaseArraymyData (const DBC_DBVArray p)
| DBC_BaseArray ()
| DBC_BaseArray (const Standard_Integer Size)
| DBC_BaseArray (const DBC_BaseArray &BaseArray)
Standard_Integer | Length () const
Standard_Integer | Upper () const
Standard_Address | Lock () const
void | Unlock () const
void | Destroy ()
| ~DBC_BaseArray ()

## Additional Inherited Members
Protected Attributes inherited from DBC_BaseArray
Standard_Integer | mySize
DBC_DBVArray | myData

## Constructor & Destructor Documentation

PNaming_FieldOfHArray1OfNamedShape::PNaming_FieldOfHArray1OfNamedShape | ( |  | ) |

PNaming_FieldOfHArray1OfNamedShape::PNaming_FieldOfHArray1OfNamedShape | ( | const Standard_Integer | Size | ) |

PNaming_FieldOfHArray1OfNamedShape::PNaming_FieldOfHArray1OfNamedShape | ( | const PNaming_FieldOfHArray1OfNamedShape & | Varray | ) |

PNaming_FieldOfHArray1OfNamedShape::~PNaming_FieldOfHArray1OfNamedShape | ( |  | ) |
| inline

## Member Function Documentation

void PNaming_FieldOfHArray1OfNamedShape::Assign | ( | const PNaming_FieldOfHArray1OfNamedShape & | Other | ) |

void PNaming_FieldOfHArray1OfNamedShape::Destroy | ( |  | ) |

Handle< PNaming_NamedShape >& PNaming_FieldOfHArray1OfNamedShape::operator() | ( | const Standard_Integer | Index | ) | const
| inline

void PNaming_FieldOfHArray1OfNamedShape::operator= | ( | const PNaming_FieldOfHArray1OfNamedShape & | Other | ) |
| inline

void PNaming_FieldOfHArray1OfNamedShape::Resize | ( | const Standard_Integer | Size | ) |

void PNaming_FieldOfHArray1OfNamedShape::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< PNaming_NamedShape > & | Value
| ) |  |

Handle< PNaming_NamedShape >& PNaming_FieldOfHArray1OfNamedShape::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PNaming_FieldOfHArray1OfNamedShape.hxx